# Loki::ObjScopeGuardImpl0< Obj, MemFun > Class Template Reference
[Exception-safe code]

`#include <ScopeGuard.h>`

Inheritance diagram for Loki::ObjScopeGuardImpl0< Obj, MemFun >:
[legend]
Collaboration diagram for Loki::ObjScopeGuardImpl0< Obj, MemFun >:
[legend]

List of all members.

## Detailed Description

### template<class Obj, typename MemFun>
class Loki::ObjScopeGuardImpl0< Obj, MemFun >

Implementation class for a class per-instance member function with no parameters. ScopeGuard ignores any value returned from the call within the Execute function.

This class has 3 standalone helper functions which create a ScopeGuard. One is MakeObjGuard, which is deprecated but provided for older code. The other two are MakeGuard overloads, one which takes a pointer to an object, and the other which takes a reference.

The documentation for this class was generated from the following file:

- ScopeGuard.h